#!/usr/bin/perl
#	@(#) Aunic.pm

=head1 NAME

Aunic - A representation of the Aunic services

=head1 SYNOPSIS

 my $aunic = new Aunic(key_address => 'key@aunic.net');

 $aunic->request_key($domain_name);

=head1 DESCRIPTION

This class is used to encapsulate requests made to the Aunic system (whether
by email or by web).

request_key($domain_name) will ask for the domain's maintenance key by
email. Aunic will respond by email.

=cut

package Aunic;

sub new {
	my $class = shift;
	my $self = { @_ };

	bless $self, $class;

	return $self;
}

#

sub request_key {
	my $self = shift;
	my $name = shift;

	my $key_address = $self->{key_address};

	my $cmd = "echo '' | mail -s $name $key_address";

	system($cmd);
}

1;
