#!/usr/bin/perl
#	get-domain-info.pl - Request current fields for domains listed in control file
#
# Usage: get-domain-info.pl [-v] /path-to-info-dir < whois-output-file

use lib '.';
use Getopt::Std;

use vars qw/$opt_v/;

getopts('v');

my $info_dir = shift @ARGV || die "Usage: get-domain-info.pl [-v] /path-to-info-dir\n";

my $url_base = 'http://cgi.aunic.net/cgi-bin/editDomain.pl';

my @domain_list;

while (<STDIN>) {
	chomp;
	if (/domain:\s+(\S+)/) {
#		print "Domain is $1\n";
		# Only request the key if we don't already have it
		if (!-f "$info_dir/info-$1") {
			push(@domain_list, $1);
		}
	}
}

if ($opt_v) {
	foreach (sort @domain_list) {
		print "Missing info for $_\n";
	}

	exit(0);
}

foreach (sort @domain_list) {
	print "Requesting domain info for $_\n";
	system("lynx -dump -source '$url_base?domain=$_' > $info_dir/info-$_");
}

exit(0);

