#!/usr/bin/perl
#	get-domain-keys.pl - Request keys for domains listed in control file
#
# Usage: get-domain-keys.pl [-v] /path-to-key-dir < whois-output-file

use lib '.';
use Aunic;
use Getopt::Std;

use vars qw/$opt_v/;

getopts('v');

my $key_dir = shift @ARGV || die "Usage: get-domain-keys.pl /path-to-key-dir\n";

my $aunic = new Aunic(key_address => 'key@aunic.net');

my @domain_list;

while (<STDIN>) {
	chomp;
	if (/domain:\s+(\S+)/) {
#		print "Domain is $1\n";
		# Only request the key if we don't already have it
		if (!-f "$key_dir/key-$1") {
			push(@domain_list, $1);
		}
	}
}

if ($opt_v) {
	foreach (sort @domain_list) {
		print "Missing key for $_\n";
	}

	exit(0);
}

foreach (sort @domain_list) {
	print "Requesting domain key for $_\n";
	$aunic->request_key($_);
}

exit(0);

