#!/usr/bin/perl
#	@(#) mail-parser.pl - Grab registry key from email received
# Usage: add to .procmailrc:
#	:0 HB
#	* ^From bounce@aunic.net
#	* ^Registry Key for
#	| /path-to-dir/mail-parser.pl /path-to-info-dir

my $path = shift @ARGV || die "Usage: mail-parser.pl /path-to-key-dir";

while (<STDIN>) {
	chomp;

	if (/^Registry Key for (\S+) is (\S+)/i) {
		my $domain = $1;
		my $value = $2;

		my $p = "$path/key-$domain";

		if (-f $p) {
			$p = "$p.extra";
		}

		if (open(P, ">>$p")) {
			print P "$domain $value\n";
			close(P);
		}

		last;
	}
}

exit(0);
