#!/usr/bin/perl

use lib '.';

use Domain;

my $domain = shift @ARGV;
my $key_email = $ENV{KEY_EMAIL} || 'key@aunic.net';

my $d = new Domain($domain);
$d->set_whois_server($ENV{WHOIS_SERVER} || 'whois.aunic.net');

my $hr = $d->get_whois_info();

foreach my $k (sort (keys %$hr)) {
	print "$k: ", join(', ', @{$hr->{$k}}, "\n");
}

if ($hr->{'tech-c'}->[0] eq 'NA1-AU') {
	print "Requesting domain key by email.\n";
	$d->request_key($key_email);
}

exit(0);
