#!/usr/bin/perl
#	update-technic.pl domain-name filename key new-technical-nic > output.html
#
# Issues a CGI request to update the technical NIC handle of a domain

use Aunic::DomainModification;

my $url_base = "http://cgi.aunic.net/cgi-bin/domain.pl";

my $domain = shift @ARGV || usage();
my $file = shift @ARGV || usage();
my $key = shift @ARGV || usage();
my $new_technical_nic = shift @ARGV || usage();

# Get the current values from the supplied file
my $a = new Aunic::DomainModification();

my $data_hr = $a->get_defaults_from_file($file);

if (!%$data_hr) {
	die "No data returned!";
}

# Now we have to modify the data

$data_hr->{technicalNIC} = $new_technical_nic;
$data_hr->{key} = $key;

# Form a URL with this
my $url = make_url($url_base, $data_hr);

print STDERR "URL is $url\n";

# Now issue the request

my $rc = system("lynx -dump -source '$url'");

exit(0);

# make_url ... form a GET type URL from a hash reference and a base

sub make_url {
	my $url_base = shift;
	my $data_hr = shift;

	my $url = $url_base . '?';

	# First, change spaces to '+' and %-ify the string
	my @values;
	foreach (sort (keys %$data_hr)) {
		my $v = $data_hr->{$_};

		# Need to change at least: ? & % ' space +
		$v =~ s/%/%25/g;
		$v =~ s/\?/%3f/g;
		$v =~ s/&/%26/g;
		$v =~ s/'/%27/g;
		$v =~ s/\+/%2b/g;
		$v =~ s/ /+/g;

		push(@values, "$_=$v");
	}

	$url .= join('&', @values);

	return $url;
}

sub usage {
	die "Usage: update-technic.pl domain-name filename key new-technical-nic > output.html\n";
}

